package autolaskuri;

import java.awt.*;
import javax.swing.JLabel;
import javax.swing.SwingConstants;

/**
 * Title:        Autolaskuri for Java with Beans
 * Description:  Autolaskuri for Java using beans
 * Copyright:    Copyright (c) 2001
 * Company:      jyu
 * @author Vesa Lappalainen
 * @version 1.0
 */

public class BeanLaskuri extends JLabel {
  BorderLayout borderLayout1 = new BorderLayout();

  public BeanLaskuri() {
    try {
      jbInit();
    }
    catch(Exception ex) {
      ex.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    this.setBackground(Color.cyan);
    this.setFont(new java.awt.Font("Dialog", 1, 16));
    this.setOpaque(true);
    this.setHorizontalAlignment(SwingConstants.CENTER);
    this.setHorizontalTextPosition(SwingConstants.CENTER);
    this.setText("0");
    this.setLayout(borderLayout1);
  }
  public int inc(int i) {
    int n = getCount() + 1;
    setCount(n);
    return n;
  }

  public void setCount(int count) {
    setText(""+count);
  }
  public int getCount() {
    return Integer.parseInt(getText());
  }
}